﻿Imports System.Data.SqlClient

Public Class Form1

    Dim strSql As String = "Data Source=.\SQLEXPRESS;AttachDbFilename=C:\Users\f5361091\Documents\Cadaastro.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True"
    Dim conexao As SqlConnection
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    End Sub
    Private Sub btnIncluir_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnIncluir.Click
        Try
            'cria a conexão com o banco de dados Teste
            conexao = New SqlConnection(strSql)
            conexao.Open()
            Dim cmd As New SqlCommand("ManutencaoFuncionario", conexao)
            'define o tipo stored procedure
            cmd.CommandType = CommandType.StoredProcedure
            'atribui os valores dos parametros
            cmd.Parameters.AddWithValue("@Action", "Insert")
            cmd.Parameters.AddWithValue("@nome", txtNome.Text)
            cmd.Parameters.AddWithValue("@sobrenome", txtSobrenome.Text)
            cmd.Parameters.AddWithValue("@email", txtEmail.Text)
            'executa a stored procedure
            cmd.ExecuteNonQuery()
            MsgBox("Dados incluídos com sucesso!")
        Catch ex As Exception
            MsgBox("Erro : " & ex.Message)
        Finally
            conexao.Close()
        End Try
    End Sub

    Private Sub btnAtualizar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAtualizar.Click
        Try
            'cria a conexão com o banco de dados Teste
            conexao = New SqlConnection(strSql)
            conexao.Open()
            Dim cmd As New SqlCommand("ManutencaoFuncionario", conexao)
            'define o tipo stored procedure
            cmd.CommandType = CommandType.StoredProcedure
            'atribui os valores dos parametros
            cmd.Parameters.AddWithValue("@Action", "Update")
            cmd.Parameters.AddWithValue("@id", txtCodigo.Text)
            cmd.Parameters.AddWithValue("@nome", txtNome.Text)
            cmd.Parameters.AddWithValue("@sobrenome", txtSobrenome.Text)
            cmd.Parameters.AddWithValue("@email", txtEmail.Text)
            'executa a stored procedure
            cmd.ExecuteNonQuery()
            MsgBox("Dados atualizado com sucesso!")
        Catch ex As Exception
            MsgBox("Erro : " & ex.Message)
        Finally
            conexao.Close()
        End Try
    End Sub

    Private Sub btnExcluir_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExcluir.Click
        Try
            'cria a conexão com o banco de dados Teste
            conexao = New SqlConnection(strSql)
            conexao.Open()
            Dim cmd As New SqlCommand("ManutencaoFuncionario", conexao)
            'define o tipo stored procedure
            cmd.CommandType = CommandType.StoredProcedure
            'atribui os valores dos parametros
            cmd.Parameters.AddWithValue("@Action", "Delete")
            cmd.Parameters.AddWithValue("@id", txtCodigo.Text)
            'executa a stored procedure
            cmd.ExecuteNonQuery()
            MsgBox("Dados excluídos com sucesso!")
        Catch ex As Exception
            MsgBox("Erro : " & ex.Message)
        Finally
            conexao.Close()
        End Try
    End Sub

    Private Sub btnSelecionar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelecionar.Click
        Try
            'cria a conexão com o banco de dados Teste
            conexao = New SqlConnection(strSql)
            conexao.Open()
            'especifia a stored procedure usada
            Dim da As New SqlDataAdapter("ManutencaoFuncionario", conexao)
            'define o tipo stored procedure
            da.SelectCommand.CommandType = CommandType.StoredProcedure
            'define o parametro
            da.SelectCommand.Parameters.Add(New SqlParameter("@Action", SqlDbType.VarChar, 10))
            'Atribui o valor do parametro
            da.SelectCommand.Parameters("@Action").Value = "Select"
            'cria e preenche o dataset
            Dim ds As New DataSet
            da.Fill(ds, "Funcionarios")
            'exibe o rsutlado
            gdvFuncionarios.DataSource = ds.Tables(0)
        Catch ex As Exception
            MsgBox("Erro : " & ex.Message)
        Finally
            conexao.Close()
        End Try
    End Sub
End Class
